import { error } from '@sveltejs/kit'
import type { PageLoad } from './$types'
import { getPosts } from '$lib/posts'
import siteMetadata from '$content/metadata.json'

export const load: PageLoad = async ({ params }) => {
	const pageN: number = +params.slug;
	if (!pageN) throw error(404);

	const posts = await getPosts();

	const pageSize = siteMetadata?.pageSize || 3;

	const maxPageN = Math.ceil(posts.length / pageSize);
	if (pageN < 0 || pageN > maxPageN) throw error(404);

	return {
		pageN,
		posts: posts.slice((pageN - 1) * pageSize, pageN * pageSize),
		maxPageN,
	};
}
